Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Crossovers/SubtreeCrossover.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Crossovers/SubtreeCrossover.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Crossovers/SubtreeCrossover.cs	(revision 5733)
@@ -93,5 +93,5 @@
 
       // calculate the max length and depth that the inserted branch can have 
-      int maxInsertedBranchLength = maxTreeLength - (parent0.Length - crossoverPoint0.GetSubTree(replacedSubtreeIndex).GetLength());
+      int maxInsertedBranchLength = maxTreeLength - (parent0.Length - crossoverPoint0.GetSubtree(replacedSubtreeIndex).GetLength());
       int maxInsertedBranchDepth = maxTreeDepth - GetBranchLevel(parent0.Root, crossoverPoint0);
 
@@ -111,6 +111,6 @@
         // manipulate the tree of parent0 in place
         // replace the branch in tree0 with the selected branch from tree1
-        crossoverPoint0.RemoveSubTree(replacedSubtreeIndex);
-        crossoverPoint0.InsertSubTree(replacedSubtreeIndex, selectedBranch);
+        crossoverPoint0.RemoveSubtree(replacedSubtreeIndex);
+        crossoverPoint0.InsertSubtree(replacedSubtreeIndex, selectedBranch);
         return parent0;
       }
@@ -139,9 +139,9 @@
       List<CutPoint> leafCrossoverPoints = new List<CutPoint>();
       parent0.Root.ForEachNodePostfix((n) => {
-        if (n.SubTrees.Any() && n != parent0.Root) {
-          foreach (var child in n.SubTrees) {
+        if (n.Subtrees.Any() && n != parent0.Root) {
+          foreach (var child in n.Subtrees) {
             if (child.GetLength() <= maxBranchLength &&
                 child.GetDepth() <= maxBranchDepth) {
-              if (child.SubTrees.Any())
+              if (child.Subtrees.Any())
                 internalCrossoverPoints.Add(new CutPoint(n, child));
               else
@@ -185,5 +185,5 @@
         // select internal node if possible
         allowedInternalBranches = (from branch in branches
-                                   where branch.SubTrees.Any()
+                                   where branch.Subtrees.Any()
                                    select branch).ToList();
         if (allowedInternalBranches.Count > 0) {
@@ -192,5 +192,5 @@
           // no internal nodes allowed => select leaf nodes
           allowedLeafBranches = (from branch in branches
-                                 where !branch.SubTrees.Any()
+                                 where !branch.Subtrees.Any()
                                  select branch).ToList();
           return allowedLeafBranches.SelectRandom(random);
@@ -199,5 +199,5 @@
         // select leaf node if possible
         allowedLeafBranches = (from branch in branches
-                               where !branch.SubTrees.Any()
+                               where !branch.Subtrees.Any()
                                select branch).ToList();
         if (allowedLeafBranches.Count > 0) {
@@ -205,5 +205,5 @@
         } else {
           allowedInternalBranches = (from branch in branches
-                                     where branch.SubTrees.Any()
+                                     where branch.Subtrees.Any()
                                      select branch).ToList();
           return allowedInternalBranches.SelectRandom(random);
@@ -214,5 +214,5 @@
     private static int GetBranchLevel(ISymbolicExpressionTreeNode root, ISymbolicExpressionTreeNode point) {
       if (root == point) return 0;
-      foreach (var subtree in root.SubTrees) {
+      foreach (var subtree in root.Subtrees) {
         int branchLevel = GetBranchLevel(subtree, point);
         if (branchLevel < int.MaxValue) return 1 + branchLevel;
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/CutPoint.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/CutPoint.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/CutPoint.cs	(revision 5733)
@@ -32,5 +32,5 @@
       this.Parent = parent;
       this.Child = child;
-      this.childIndex = parent.IndexOfSubTree(child);
+      this.childIndex = parent.IndexOfSubtree(child);
     }
   }
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Formatters/SymbolicExpressionTreeStringFormatter.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Formatters/SymbolicExpressionTreeStringFormatter.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Formatters/SymbolicExpressionTreeStringFormatter.cs	(revision 5733)
@@ -55,10 +55,10 @@
       strBuilder.Append("(");
       // internal nodes or leaf nodes?
-      if (node.SubTrees.Count() > 0) {
+      if (node.Subtrees.Count() > 0) {
         // symbol on same line as '('
         strBuilder.AppendLine(node.ToString());
         // each subtree expression on a new line
         // and closing ')' also on new line
-        foreach (var subtree in node.SubTrees) {
+        foreach (var subtree in node.Subtrees) {
           strBuilder.AppendLine(FormatRecursively(subtree, indentLength + 2));
         }
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Interfaces/ISymbolicExpressionTreeNode.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Interfaces/ISymbolicExpressionTreeNode.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Interfaces/ISymbolicExpressionTreeNode.cs	(revision 5733)
@@ -38,11 +38,11 @@
     void ForEachNodePrefix(Action<ISymbolicExpressionTreeNode> a);
 
-    IEnumerable<ISymbolicExpressionTreeNode> SubTrees { get; }
+    IEnumerable<ISymbolicExpressionTreeNode> Subtrees { get; }
     int SubtreesCount { get; }
-    ISymbolicExpressionTreeNode GetSubTree(int index);
-    int IndexOfSubTree(ISymbolicExpressionTreeNode tree);
-    void AddSubTree(ISymbolicExpressionTreeNode tree);
-    void InsertSubTree(int index, ISymbolicExpressionTreeNode tree);
-    void RemoveSubTree(int index);
+    ISymbolicExpressionTreeNode GetSubtree(int index);
+    int IndexOfSubtree(ISymbolicExpressionTreeNode tree);
+    void AddSubtree(ISymbolicExpressionTreeNode tree);
+    void InsertSubtree(int index, ISymbolicExpressionTreeNode tree);
+    void RemoveSubtree(int index);
 
     void ResetLocalParameters(IRandom random);
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Manipulators/ChangeNodeTypeManipulation.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Manipulators/ChangeNodeTypeManipulation.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Manipulators/ChangeNodeTypeManipulation.cs	(revision 5733)
@@ -45,8 +45,8 @@
       // select any node as parent (except the root node)
       var manipulationPoints = (from parent in symbolicExpressionTree.Root.IterateNodesPrefix().Skip(1)
-                                let subtreeCount = parent.SubTrees.Count()
+                                let subtreeCount = parent.Subtrees.Count()
                                 from subtreeIndex in Enumerable.Range(0, subtreeCount)
-                                let subtree = parent.GetSubTree(subtreeIndex)
-                                let existingSubtreeCount = subtree.SubTrees.Count()
+                                let subtree = parent.GetSubtree(subtreeIndex)
+                                let existingSubtreeCount = subtree.Subtrees.Count()
                                 // find possible symbols for the node (also considering the existing branches below it)
                                 let allowedSymbols = (from symbol in parent.Grammar.GetAllowedChildSymbols(parent.Symbol, subtreeIndex)
@@ -57,5 +57,5 @@
                                                       // keep only symbols that are still possible considering the existing sub-trees
                                                       where (from existingSubtreeIndex in Enumerable.Range(0, existingSubtreeCount)
-                                                             let existingSubtree = subtree.GetSubTree(existingSubtreeIndex)
+                                                             let existingSubtree = subtree.GetSubtree(existingSubtreeIndex)
                                                              select parent.Grammar.IsAllowedChildSymbol(symbol, existingSubtree.Symbol, existingSubtreeIndex))
                                                              .All(x => x == true)
@@ -75,8 +75,8 @@
       if (newNode.HasLocalParameters)
         newNode.ResetLocalParameters(random);
-      foreach (var subtree in selectedManipulationPoint.Child.SubTrees)
-        newNode.AddSubTree(subtree);
-      selectedManipulationPoint.Parent.RemoveSubTree(selectedManipulationPoint.Index);
-      selectedManipulationPoint.Parent.InsertSubTree(selectedManipulationPoint.Index, newNode);
+      foreach (var subtree in selectedManipulationPoint.Child.Subtrees)
+        newNode.AddSubtree(subtree);
+      selectedManipulationPoint.Parent.RemoveSubtree(selectedManipulationPoint.Index);
+      selectedManipulationPoint.Parent.InsertSubtree(selectedManipulationPoint.Index, newNode);
     }
   }
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Manipulators/ReplaceBranchManipulation.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Manipulators/ReplaceBranchManipulation.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Manipulators/ReplaceBranchManipulation.cs	(revision 5733)
@@ -70,6 +70,6 @@
       // select any node as parent (except the root node)
       var manipulationPoints = (from parent in symbolicExpressionTree.Root.IterateNodesPrefix().Skip(1)
-                                from subtree in parent.SubTrees
-                                let subtreeIndex = parent.IndexOfSubTree(subtree)
+                                from subtree in parent.Subtrees
+                                let subtreeIndex = parent.IndexOfSubtree(subtree)
                                 let maxLength = maxTreeLength - symbolicExpressionTree.Length + subtree.GetLength()
                                 let maxDepth = maxTreeDepth - symbolicExpressionTree.Depth + subtree.GetDepth()
@@ -103,6 +103,6 @@
         seedNode.ResetLocalParameters(random);
 
-      selectedManipulationPoint.Parent.RemoveSubTree(selectedManipulationPoint.Index);
-      selectedManipulationPoint.Parent.InsertSubTree(selectedManipulationPoint.Index, seedNode);
+      selectedManipulationPoint.Parent.RemoveSubtree(selectedManipulationPoint.Index);
+      selectedManipulationPoint.Parent.InsertSubtree(selectedManipulationPoint.Index, seedNode);
       ProbabilisticTreeCreator.PTC2(random, seedNode, selectedManipulationPoint.MaxLength, selectedManipulationPoint.MaxDepth);
     }
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/SymbolicExpressionTreeNode.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/SymbolicExpressionTreeNode.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/SymbolicExpressionTreeNode.cs	(revision 5733)
@@ -30,5 +30,5 @@
   public class SymbolicExpressionTreeNode : DeepCloneable, ISymbolicExpressionTreeNode {
     [Storable]
-    private IList<ISymbolicExpressionTreeNode> subTrees;
+    private IList<ISymbolicExpressionTreeNode> subtrees;
     [Storable]
     private ISymbol symbol;
@@ -55,9 +55,9 @@
       : base() {
       symbol = original.symbol; // symbols are reused
-      subTrees = new List<ISymbolicExpressionTreeNode>(original.subTrees.Count);
-      foreach (var subtree in original.subTrees) {
-        var clonedSubTree = cloner.Clone(subtree);
-        subTrees.Add(clonedSubTree);
-        clonedSubTree.Parent = this;
+      subtrees = new List<ISymbolicExpressionTreeNode>(original.subtrees.Count);
+      foreach (var subtree in original.subtrees) {
+        var clonedSubtree = cloner.Clone(subtree);
+        subtrees.Add(clonedSubtree);
+        clonedSubtree.Parent = this;
       }
     }
@@ -74,5 +74,5 @@
     public SymbolicExpressionTreeNode(ISymbol symbol)
       : base() {
-      subTrees = new List<ISymbolicExpressionTreeNode>(3);
+      subtrees = new List<ISymbolicExpressionTreeNode>(3);
       this.symbol = symbol;
     }
@@ -81,6 +81,6 @@
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
-      if (subTrees != null) {
-        foreach (var subtree in subTrees)
+      if (subtrees != null) {
+        foreach (var subtree in subtrees)
           subtree.Parent = this;
       }
@@ -91,6 +91,6 @@
     }
 
-    public virtual IEnumerable<ISymbolicExpressionTreeNode> SubTrees {
-      get { return subTrees; }
+    public virtual IEnumerable<ISymbolicExpressionTreeNode> Subtrees {
+      get { return subtrees; }
     }
 
@@ -103,7 +103,7 @@
       else {
         length = 1;
-        if (subTrees != null) {
-          for (int i = 0; i < subTrees.Count; i++) {
-            checked { length += (ushort)subTrees[i].GetLength(); }
+        if (subtrees != null) {
+          for (int i = 0; i < subtrees.Count; i++) {
+            checked { length += (ushort)subtrees[i].GetLength(); }
           }
         }
@@ -115,6 +115,6 @@
       if (depth > 0) return depth;
       else {
-        if (subTrees != null) {
-          for (int i = 0; i < subTrees.Count; i++) depth = Math.Max(depth, (ushort)subTrees[i].GetDepth());
+        if (subtrees != null) {
+          for (int i = 0; i < subtrees.Count; i++) depth = Math.Max(depth, (ushort)subtrees[i].GetDepth());
         }
         depth++;
@@ -128,28 +128,28 @@
     public int SubtreesCount {
       get {
-        if (subTrees == null) return 0;
-        return subTrees.Count;
+        if (subtrees == null) return 0;
+        return subtrees.Count;
       }
     }
 
-    public virtual ISymbolicExpressionTreeNode GetSubTree(int index) {
-      return subTrees[index];
+    public virtual ISymbolicExpressionTreeNode GetSubtree(int index) {
+      return subtrees[index];
     }
-    public virtual int IndexOfSubTree(ISymbolicExpressionTreeNode tree) {
-      return subTrees.IndexOf(tree);
+    public virtual int IndexOfSubtree(ISymbolicExpressionTreeNode tree) {
+      return subtrees.IndexOf(tree);
     }
-    public virtual void AddSubTree(ISymbolicExpressionTreeNode tree) {
-      subTrees.Add(tree);
+    public virtual void AddSubtree(ISymbolicExpressionTreeNode tree) {
+      subtrees.Add(tree);
       tree.Parent = this;
       ResetCachedValues();
     }
-    public virtual void InsertSubTree(int index, ISymbolicExpressionTreeNode tree) {
-      subTrees.Insert(index, tree);
+    public virtual void InsertSubtree(int index, ISymbolicExpressionTreeNode tree) {
+      subtrees.Insert(index, tree);
       tree.Parent = this;
       ResetCachedValues();
     }
-    public virtual void RemoveSubTree(int index) {
-      subTrees[index].Parent = null;
-      subTrees.RemoveAt(index);
+    public virtual void RemoveSubtree(int index) {
+      subtrees[index].Parent = null;
+      subtrees.RemoveAt(index);
       ResetCachedValues();
     }
@@ -163,6 +163,6 @@
     public void ForEachNodePrefix(Action<ISymbolicExpressionTreeNode> a) {
       a(this);
-      if (SubTrees != null) {
-        foreach (var subtree in SubTrees) {
+      if (Subtrees != null) {
+        foreach (var subtree in Subtrees) {
           subtree.ForEachNodePrefix(a);
         }
@@ -177,6 +177,6 @@
 
     public void ForEachNodePostfix(Action<ISymbolicExpressionTreeNode> a) {
-      if (SubTrees != null) {
-        foreach (var subtree in SubTrees) {
+      if (Subtrees != null) {
+        foreach (var subtree in Subtrees) {
           subtree.ForEachNodePostfix(a);
         }
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/SymbolicExpressionTreeTerminalNode.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/SymbolicExpressionTreeTerminalNode.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/SymbolicExpressionTreeTerminalNode.cs	(revision 5733)
@@ -29,5 +29,5 @@
   [StorableClass]
   public abstract class SymbolicExpressionTreeTerminalNode : SymbolicExpressionTreeNode {
-    public override IEnumerable<ISymbolicExpressionTreeNode> SubTrees {
+    public override IEnumerable<ISymbolicExpressionTreeNode> Subtrees {
       get {
         return Enumerable.Empty<ISymbolicExpressionTreeNode>();
@@ -51,17 +51,17 @@
     }
 
-    public override int IndexOfSubTree(ISymbolicExpressionTreeNode tree) {
+    public override int IndexOfSubtree(ISymbolicExpressionTreeNode tree) {
       return -1;
     }
-    public override ISymbolicExpressionTreeNode GetSubTree(int index) {
+    public override ISymbolicExpressionTreeNode GetSubtree(int index) {
       throw new NotSupportedException();
     }
-    public override void AddSubTree(ISymbolicExpressionTreeNode tree) {
+    public override void AddSubtree(ISymbolicExpressionTreeNode tree) {
       throw new NotSupportedException();
     }
-    public override void InsertSubTree(int index, ISymbolicExpressionTreeNode tree) {
+    public override void InsertSubtree(int index, ISymbolicExpressionTreeNode tree) {
       throw new NotSupportedException();
     }
-    public override void RemoveSubTree(int index) {
+    public override void RemoveSubtree(int index) {
       throw new NotSupportedException();
     }
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/AllArchitectureAlteringOperatorsTest.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/AllArchitectureAlteringOperatorsTest.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/AllArchitectureAlteringOperatorsTest.cs	(revision 5733)
@@ -110,5 +110,5 @@
         Util.GetSizeDistributionString(trees, 200, 5) + Environment.NewLine +
         Util.GetFunctionDistributionString(trees) + Environment.NewLine +
-        Util.GetNumberOfSubTreesDistributionString(trees) + Environment.NewLine +
+        Util.GetNumberOfSubtreesDistributionString(trees) + Environment.NewLine +
         Util.GetTerminalDistributionString(trees) + Environment.NewLine
         );
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ArgumentCreaterTest.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ArgumentCreaterTest.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ArgumentCreaterTest.cs	(revision 5733)
@@ -72,5 +72,5 @@
         Util.GetSizeDistributionString(trees, 200, 20) + Environment.NewLine +
         Util.GetFunctionDistributionString(trees) + Environment.NewLine +
-        Util.GetNumberOfSubTreesDistributionString(trees) + Environment.NewLine +
+        Util.GetNumberOfSubtreesDistributionString(trees) + Environment.NewLine +
         Util.GetTerminalDistributionString(trees) + Environment.NewLine
         );
@@ -78,6 +78,6 @@
 
     private bool TreeHasAdfWithParameter(ISymbolicExpressionTree tree, int maxParameters) {
-      if (tree.Root.SubTrees.Count() != 2) return false;
-      var firstAdf = tree.Root.GetSubTree(1);
+      if (tree.Root.Subtrees.Count() != 2) return false;
+      var firstAdf = tree.Root.GetSubtree(1);
       return firstAdf.Grammar.GetAllowedChildSymbols(firstAdf.Symbol, 0).Where(x => x is Argument).Count() < maxParameters;
     }
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ArgumentDeleterTest.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ArgumentDeleterTest.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ArgumentDeleterTest.cs	(revision 5733)
@@ -67,11 +67,11 @@
         Util.GetSizeDistributionString(trees, 105, 5) + Environment.NewLine +
         Util.GetFunctionDistributionString(trees) + Environment.NewLine +
-        Util.GetNumberOfSubTreesDistributionString(trees) + Environment.NewLine +
+        Util.GetNumberOfSubtreesDistributionString(trees) + Environment.NewLine +
         Util.GetTerminalDistributionString(trees) + Environment.NewLine
         );
     }
     private bool TreeHasAdfWithArguments(ISymbolicExpressionTree tree) {
-      if (tree.Root.SubTrees.Count() != 2) return false;
-      var firstAdf = tree.Root.GetSubTree(1);
+      if (tree.Root.Subtrees.Count() != 2) return false;
+      var firstAdf = tree.Root.GetSubtree(1);
       return firstAdf.Grammar.GetAllowedChildSymbols(firstAdf.Symbol, 0).Where(x => x is Argument).Count() >= 2;
     }
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ArgumentDuplicaterTest.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ArgumentDuplicaterTest.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ArgumentDuplicaterTest.cs	(revision 5733)
@@ -67,5 +67,5 @@
         Util.GetSizeDistributionString(trees, 200, 5) + Environment.NewLine +
         Util.GetFunctionDistributionString(trees) + Environment.NewLine +
-        Util.GetNumberOfSubTreesDistributionString(trees) + Environment.NewLine +
+        Util.GetNumberOfSubtreesDistributionString(trees) + Environment.NewLine +
         Util.GetTerminalDistributionString(trees) + Environment.NewLine
         );
@@ -73,6 +73,6 @@
 
     private bool HasAdfWithArguments(ISymbolicExpressionTree tree) {
-      if (tree.Root.SubTrees.Count() != 2) return false;
-      var firstAdf = tree.Root.GetSubTree(1);
+      if (tree.Root.Subtrees.Count() != 2) return false;
+      var firstAdf = tree.Root.GetSubtree(1);
       return firstAdf.Grammar.GetAllowedChildSymbols(firstAdf.Symbol, 0).Where(x => x is Argument).Count() == 1;
     }
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ChangeNodeTypeManipulationTest.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ChangeNodeTypeManipulationTest.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ChangeNodeTypeManipulationTest.cs	(revision 5733)
@@ -67,5 +67,5 @@
         Util.GetSizeDistributionString(trees, 105, 5) + Environment.NewLine +
         Util.GetFunctionDistributionString(trees) + Environment.NewLine +
-        Util.GetNumberOfSubTreesDistributionString(trees) + Environment.NewLine +
+        Util.GetNumberOfSubtreesDistributionString(trees) + Environment.NewLine +
         Util.GetTerminalDistributionString(trees) + Environment.NewLine
         );
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ProbabilisticTreeCreaterTest.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ProbabilisticTreeCreaterTest.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ProbabilisticTreeCreaterTest.cs	(revision 5733)
@@ -69,5 +69,5 @@
         Util.GetSizeDistributionString(randomTrees, 105, 5) + Environment.NewLine +
         Util.GetFunctionDistributionString(randomTrees) + Environment.NewLine +
-        Util.GetNumberOfSubTreesDistributionString(randomTrees) + Environment.NewLine +
+        Util.GetNumberOfSubtreesDistributionString(randomTrees) + Environment.NewLine +
         Util.GetTerminalDistributionString(randomTrees) + Environment.NewLine
         );
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ReplaceBranchManipulationTest.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ReplaceBranchManipulationTest.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/ReplaceBranchManipulationTest.cs	(revision 5733)
@@ -66,5 +66,5 @@
         Util.GetSizeDistributionString(trees, 105, 5) + Environment.NewLine +
         Util.GetFunctionDistributionString(trees) + Environment.NewLine +
-        Util.GetNumberOfSubTreesDistributionString(trees) + Environment.NewLine +
+        Util.GetNumberOfSubtreesDistributionString(trees) + Environment.NewLine +
         Util.GetTerminalDistributionString(trees) + Environment.NewLine
         );
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/SubroutineCreaterTest.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/SubroutineCreaterTest.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/SubroutineCreaterTest.cs	(revision 5733)
@@ -63,5 +63,5 @@
         Util.GetSizeDistributionString(trees, 105, 5) + Environment.NewLine +
         Util.GetFunctionDistributionString(trees) + Environment.NewLine +
-        Util.GetNumberOfSubTreesDistributionString(trees) + Environment.NewLine +
+        Util.GetNumberOfSubtreesDistributionString(trees) + Environment.NewLine +
         Util.GetTerminalDistributionString(trees) + Environment.NewLine
         );
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/SubroutineDeleterTest.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/SubroutineDeleterTest.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/SubroutineDeleterTest.cs	(revision 5733)
@@ -68,5 +68,5 @@
         Util.GetSizeDistributionString(trees, 105, 5) + Environment.NewLine +
         Util.GetFunctionDistributionString(trees) + Environment.NewLine +
-        Util.GetNumberOfSubTreesDistributionString(trees) + Environment.NewLine +
+        Util.GetNumberOfSubtreesDistributionString(trees) + Environment.NewLine +
         Util.GetTerminalDistributionString(trees) + Environment.NewLine
         );
@@ -74,5 +74,5 @@
 
     private bool HasAtLeastOneAdf(ISymbolicExpressionTree tree) {
-      return tree.Root.SubTrees.Count() > 1;
+      return tree.Root.Subtrees.Count() > 1;
     }
   }
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/SubroutineDuplicaterTest.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/SubroutineDuplicaterTest.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/SubroutineDuplicaterTest.cs	(revision 5733)
@@ -68,5 +68,5 @@
         Util.GetSizeDistributionString(trees, 105, 5) + Environment.NewLine +
         Util.GetFunctionDistributionString(trees) + Environment.NewLine +
-        Util.GetNumberOfSubTreesDistributionString(trees) + Environment.NewLine +
+        Util.GetNumberOfSubtreesDistributionString(trees) + Environment.NewLine +
         Util.GetTerminalDistributionString(trees) + Environment.NewLine
         );
@@ -74,5 +74,5 @@
 
     private bool HasOneAdf(ISymbolicExpressionTree tree) {
-      return tree.Root.SubTrees.Count() == 2;
+      return tree.Root.Subtrees.Count() == 2;
     }
   }
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/SubtreeCrossoverTest.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/SubtreeCrossoverTest.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Tests/SubtreeCrossoverTest.cs	(revision 5733)
@@ -81,5 +81,5 @@
         Util.GetSizeDistributionString(trees, 105, 5) + Environment.NewLine +
         Util.GetFunctionDistributionString(trees) + Environment.NewLine +
-        Util.GetNumberOfSubTreesDistributionString(trees) + Environment.NewLine +
+        Util.GetNumberOfSubtreesDistributionString(trees) + Environment.NewLine +
         Util.GetTerminalDistributionString(trees) + Environment.NewLine
         );
